PDF::API2::Resource::ColorSpace(3)

NAME
PDF::API2::Resource::ColorSpace

METHODS

$cs = PDF::API2::Resource::ColorSpace->new $pdf, $key, %parameters
    Returns a new colorspace object. base class for all colorspaces.

$cs = PDF::API2::Resource::ColorSpace->new_api $api, $name
    Returns a color-space object. This method is different from 'new' that it needs an PDF::API2-object rather than a Text::PDF::File-object.

$name = $res->name $name
    Returns or sets the Name of the resource.

@param = $cs->param @param
    Returns properly formatted color-parameters based on the colorspace.

AUTHOR
Alfred Reibenschuh